RWS Logo
Show / Hide Table of Contents

Themes

Retrieve the custom theme

Example Request:

curl "https://controller-host:8001/api/v2/themes" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "styleNavigationBarBackgroundColor": "#008080",
    "styleNavigationBarTextColor": "#FFF",
    "styleLoginFormBackgroundColor": "#FFF",
    "stylePrimaryGroupTextColor": "#FFF",
    "stylePrimaryGroupColor": "#008080",
    "styleTranslationNotificationBackgroundColor": "#FFF",
    "styleLoginNotificationBackgroundColor": "#FFF",
    "tabTitle": "Language Weaver Edge",
    "navigationBarLogoUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/navigationBarLogo.png",
    "loginLogoUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/loginLogo.png",
    "faviconUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/favicon.png",
    "translationNotificationMessage": "Hello",
    "loginNotificationMessage": "Welcome"
}

Retrieve the attributes of the custom theme.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/themes

Returns

Returns the theme object with the current attributes.

Name Type Description
styleNavigationBarBackgroundColor string Hex color of navigation bar background
styleNavigationBarTextColor string Hex color of navigation bar text
styleLoginFormBackgroundColor string Hex color of login form background
stylePrimaryGroupTextColor string Hex color of primary group text
stylePrimaryGroupColor string Hex color of primary group
styleTranslationNotificationBackgroundColor string Hex color of notification message background color
styleLoginNotificationBackgroundColor string Hex color of login notification message background color
tabTitle string Title of browser tab
navigationBarLogoUrl string Unique URL to navigation bar logo
loginLogoUrl string Unique URL to login logo
faviconUrl string Unique URL to browser favicon
translationNotificationMessage string Notification message to display on Translate page
loginNotificationMessage string Notification message to display on the Login page

Update the custom theme

Example Request:

curl "https://controller-host:8001/api/v2/themes" \
	-X POST \
	-u u_jsmith@example.com_u0VmztKJrwqf: \
	-H "Content-Type: multipart/form-data" \
	-F favicon="@<file>"
	-F loginLogo="@<file>"
	-F loginNotificationMessage="Welcome"
	-F navigationBarLogo="@<file>"
	-F styleLoginFormBackgroundColor="#FFF"
	-F styleLoginNotificationBackgroundColor="#FFF"
	-F styleNavigationBarBackgroundColor="#008080"
	-F styleNavigationBarTextColor="#FFF"
	-F stylePrimaryGroupColor="#008080"
	-F stylePrimaryGroupTextColor="#FFF"
	-F styleTranslationNotificationBackgroundColor="#FFF"
	-F tabTitle="Language Weaver Edge"
	-F translationNotificationMessage="Hello"

Example Response:

{
    "styleNavigationBarBackgroundColor": "#008080",
    "styleNavigationBarTextColor": "#FFF",
    "styleLoginFormBackgroundColor": "#FFF",
    "stylePrimaryGroupTextColor": "#FFF",
    "stylePrimaryGroupColor": "#008080",
    "styleTranslationNotificationBackgroundColor": "#FFF",
    "styleLoginNotificationBackgroundColor": "#FFF",
    "tabTitle": "Language Weaver Edge",
    "navigationBarLogoUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/navigationBarLogo.png",
    "loginLogoUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/loginLogo.png",
    "faviconUrl": "/themes/be7d9db3-1ca9-4c39-9ea7-6cb6e70a294e/favicon.png",
    "translationNotificationMessage": "Hello",
    "loginNotificationMessage": "Welcome"
}

Update the attributes of the custom theme. If a field is left empty, the previous attribute will be used.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

POST /api/v2/themes

Request Parameters

Name Type Description Default Value
styleNavigationBarBackgroundColor (optional) string Hex color of navigation bar background
styleNavigationBarTextColor (optional) string Hex color of navigation bar text
styleLoginFormBackgroundColor (optional) string Hex color of login form background
stylePrimaryGroupTextColor (optional) string Hex color of primary group text
stylePrimaryGroupColor (optional) string Hex color of primary group
styleTranslationNotificationBackgroundColor (optional) string Hex color of translation notification message background color
styleLoginNotificationBackgroundColor (optional) string Hex color of login notification message background color
tabTitle (optional) string Title of browser tab
navigationBarLogo (optional) file Image (.jpg, .png, .svg) file to set as navigation bar logo
loginLogo (optional) file Image (.jpg, .png, .svg) file to set as login form logo
favicon (optional) file Image (.ico) file to set as browser favicon
translationNotificationMessage (optional) string Notification message to display on Translate page
loginNotificationMessage (optional) string Notification message to display on the Login page

Returns

Returns the theme object with the user defined attributes.

Name Type Description
styleNavigationBarBackgroundColor string Hex color of navigation bar background
styleNavigationBarTextColor string Hex color of navigation bar text
styleLoginFormBackgroundColor string Hex color of login form background
stylePrimaryGroupTextColor string Hex color of primary group text
stylePrimaryGroupColor string Hex color of primary group
styleTranslationNotificationBackgroundColor string Hex color of notification message background color
styleLoginNotificationBackgroundColor string Hex color of login message background color
tabTitle string Title of browser tab
navigationBarLogoUrl string Unique URL to navigation bar logo
loginLogoUrl string Unique URL to login logo
faviconUrl string Unique URL to browser favicon
translationNotificationMessage string Notification message to display on Translate page
loginNotificationMessage string Notification message to display on the Login page
In this page
Back to top